﻿using System;
using System.Windows.Forms;
using UniversalMigrator.Core;

namespace UniversalMigrator
{
	public partial class MainForm : Form
	{
		public MainForm()
		{
			InitializeComponent();

			SkinsLocationTextBox.Text = Properties.Settings.Default.LastSkinsPath;
		}

		private void BrowseForSkinsLocationButton_Click(object sender, EventArgs e)
		{
			folderBrowserDialog.SelectedPath = SkinsLocationTextBox.Text;
			if (folderBrowserDialog.ShowDialog() == DialogResult.OK)
			{
				SkinsLocationTextBox.Text = folderBrowserDialog.SelectedPath;
			}
		}

		private void mirateButton_Click(object sender, EventArgs e)
		{
			mirateButton.Text = "Working...";
			mirateButton.Enabled = SkinsLocationTextBox.Enabled = BrowseForSkinsLocationButton.Enabled = false;

			MigrationEngine.Migrate(
				SkinsLocationTextBox.Text,
				SkinsLocationTextBox.Text + (backupFiles.Checked ? "_Migrated" : ""),
				FromReleaseComboBox.Text,
				ToReleaseComboBox.Text);

			mirateButton.Text = "Migrate!";
			mirateButton.Enabled = SkinsLocationTextBox.Enabled = BrowseForSkinsLocationButton.Enabled = true;
		}

		private void SkinsLocationTextBox_TextChanged(object sender, EventArgs e)
		{
			Properties.Settings.Default.LastSkinsPath = (sender as TextBox).Text;

			Properties.Settings.Default.Save();
		}
	}
}
